List files

Preview. The entries of a directory in a running sandbox.

GET
/sandboxes/{sandbox_id}/files

Authorization

headerAuthorizationBearer <token>

Your Munito API key.

Path Parameters

sandbox_id*string

The id of the sandbox.

Query Parameters

path*string

A path in the sandbox. A relative path is under /workspace.

Length1 <= length <= 4096

Response Body

The entries of the directory.

application/json
  1. response
object?string
Default"list"
path*string
data*array<>
curl -X GET 'https://api.munito.ai/sandboxes/v1/sandboxes/string/files?path=string'
Example Response
{
  "object": "list",
  "path": "string",
  "data": [
    {
      "name": "string",
      "path": "string",
      "type": "file",
      "size": 0,
      "mode": 0,
      "modified_at": 0
    }
  ]
}